Saturday, October 23, 2010

we need a release and we need it now, and we need help!

with some time to use on my projects I decided to give emesene 2 a renewed push to try to make it deserve the label of beta.

I started fixing issues, closing duplicated, confusing or out of date issues and I only was left with feature requests and papyon bugs. That means two things:

  • emesene 2 is pretty stable
  • and/or nobody is using it
that means that we need users using it and since emesene 1.x is in maintainance only mode, we need to start moving users and developers to emesene 2. This means that you, your friends and your cat should be using/testing/developing emesene 2. I think that if we don't make the transition to emesene 2 both emesene 1 and 2 will stall and go the way of the dodo.


this is a call for action, start spreading the word, looking for users/testers/developers/packagers


we need all of those and more important we need developers and packagers to get to the release of emesene 2.


at this point emesene 2 is at feature parity with what was the emesene 1.0 release and it is more customizable, extensible and stable than emesene 1.0 was on the release date.

what I'm trying to say? if we keep waiting for emesene 2 to pass the features of emesene 1.6.3 we will never make a release. It's time to focus on the core features and stabilize. Later with a stable release people will start to help with fixes, plugins and extensions but a forever alpha doesn't help nobody.

since yesterday was capslock day I will say it like it deserves to be said

WE NEED HELP NOW!

start working on making emesene 2 the most awesome IM client on earth now!

here is a picture of a panda to motivate you, if this doesn't help I don't know what will...

13 comments:

Diego said...

Okay, i'm downloading it. I wont be able to develop anything but you have my beta testing ability

Yosh said...

I'll start testing it as soon as it's up on the ppa. thanks for your work

Yosh said...

Also, I've sent a tip to the guys at www.omgubuntu.co.uk to call for help, you should ask for more help at other blogs or tech/linux news sites.

nutellajunkie said...

Fabulous FAB!!

Id love emesene to be multi-protocol some day ;)

Dreck said...

I installed it, but it doesn't connect... sad, I'm really wanna see what's new

Marco said...
This comment has been removed by the author.
Marco said...

Same problem of Dreck under Ubuntu 10.10

@developers
What will happen with this new version and the saved conversations? Will be migrated?

mm said...

Same problem of Drek for me too (ubuntu 9.04).
I've downloaded files (from http://github.com/emesene/emesene ) and then i opened emesene-emesene-ceb64b7/emesene/emesene.
Repeating error in terminal is:

Could not load one of the supported DNS libraries (dnspython or pydns). SRV records will not be queried and you may need to set custom hostname/port for some servers to be accessible.
No handlers could be found for logger "papylib.Worker"
[12:04:46 WARNING papyon.protocol] Notification unhandled command : GCF 0 5486
[payload]
[12:04:48 WARNING papyon.client] alreay logged out

Vincent said...

Ubuntu 10.10 and it doesn't want to connect :(
I really wanna help you!

João said...

How can i download 2.0 for windows?

Sorry a little lasy maybe you think but i searched and found nothing... :(

Cheers

Checho said...

Same problem... it doesn't connect. I'm using Linux mint 9 (Ubuntu 10.04 based)

klesus12 said...

Same as João, can't find a build for windows. :(

Hoborg said...

It doesn't connect under Windows XP either...